#
# spec file for package python-sphinxcontrib-programoutput
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-sphinxcontrib-programoutput
Version:        0.17
Release:        3.5
Summary:        Sphinx extension to include program output
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            http://sphinxcontrib-programoutput.readthedocs.org/
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-programoutput/sphinxcontrib-programoutput-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx >= 1.8}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 1.8
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
A Sphinx extension to literally insert the output of arbitrary commands into
documents, helping you to keep your command examples up to date.

%prep
%setup -q -n sphinxcontrib-programoutput-%{version}

%build
export LANG=en_US.UTF-8
%python_build

%install
export LANG=en_US.UTF-8
%python_install
%{python_expand rm -r %{buildroot}%{$python_sitelib}/sphinxcontrib/programoutput/tests/
%fdupes %{buildroot}%{$python_sitelib}
}

%check
export LANG=en_US.UTF-8
%pyunittest -v src/sphinxcontrib/programoutput/tests/test*.py

%files %{python_files}
%license LICENSE
%doc CHANGES.rst README.rst
%{python_sitelib}/sphinxcontrib/programoutput/
%{python_sitelib}/sphinxcontrib_programoutput-%{version}-py*-nspkg.pth
%{python_sitelib}/sphinxcontrib_programoutput-%{version}-py*.egg-info

%changelog
* Fri Jan  5 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Fri Sep 10 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Sat Jul 17 2021 Dirk Müller <dmueller@suse.com>
- update to 0.17:
  - Add support for Python 3.9.
  - Drop support for python 3.5.
  - Include program output and current working directory in the warning
    logged when a program returns an unexpected return code
* Wed Apr 29 2020 Dirk Mueller <dmueller@suse.com>
- udpate to 0.16:
  - Add ``name`` and ``caption`` options. Added in
  `PR 41 <https://github.com/NextThought/sphinxcontrib-programoutput/pull/41>`_
  by Raphaël.
  - Add support for Python 3.8.
* Mon Sep 16 2019 John Vandenberg <jayvdb@gmail.com>
- Remove tests from runtime installation
- Update to v0.15
  * Make the test suite stop assuming the presence of a 'python'
    executable on the path. Instead it uses ``sys.executable``
    (which shouldn't have spaces). Note that it does continue to
    assume the presence of other executables, such as 'echo'
* Wed Jun 19 2019 Thomas Bechtold <tbechtold@suse.com>
- export LANG=en_US.UTF-8 during %%build and %%install . This fixes
  the build for older distros which fail with:
  UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position \
    1468: ordinal not in range(128)
* Tue Apr 23 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.14
  * Add python_requires metadata to better allow tools like pip to
    install a correct version.
  * Add support for Sphinx 2.0 on Python 3.
  * Avoid unicode errors when the program command or output produced
    non-ASCII output and the configured prompt was a byte string.
  * Drop support for Sphinx < 1.7.
  * Fix tests on Sphinx >= 1.8.0.
  * Fix deprecation warnings on Sphinx >= 1.8.
  * Explicitly set parallel_read_safe to true in the extension
    metadata.
* Fri Dec  7 2018 Matej Cepl <mcepl@suse.com>
- Remove wrong BR on python-sphinxcontrib
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Sep 18 2017 toddrme2178@gmail.com
- Use new python-sphinxcontrib package to provide namespace
  directory.
* Mon Sep 18 2017 toddrme2178@gmail.com
- Specify files to guarantee namespace package doesn't conflict
  with python(2|3)-Sphinx
* Mon Apr 24 2017 sebix+novell.com@sebix.at
- update to version 0.10
- convert to singlespec package
- change source url to files.pythonhosted.org
* Mon Sep 16 2013 speilicke@suse.com
- Initial version
